Debian Bug report logs - #634537
gtkterm: FTBFS: config.c:38:21: fatal error: vte/vte.h: No such file or directory

version graph

Package: src:gtkterm; Maintainer for src:gtkterm is Sebastien Bacher <seb128@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 19 Jul 2011 06:34:00 UTC

Severity: serious

Tags: fixed-upstream, sid, wheezy

Found in version gtkterm/0.99.5-1

Fixed in version gtkterm/0.99.7~rc1-0.1

Done: Hideki Yamane <henrich@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#634537; Package src:gtkterm. (Tue, 19 Jul 2011 06:34:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Sebastien Bacher <seb128@debian.org>. (Tue, 19 Jul 2011 06:34:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gtkterm: FTBFS: config.c:38:21: fatal error: vte/vte.h: No such file or directory
Date: Tue, 19 Jul 2011 08:27:35 +0200
Source: gtkterm
Version: 0.99.5-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110718 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[3]: Entering directory `/build/gtkterm-oqODqL/gtkterm-0.99.5/src'
> gcc -DHAVE_CONFIG_H -I. -I. -I..   -pthread -I/usr/include/atk-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libpng12   -Wall -DLOCALEDIR=\""/usr/share/locale"\" -g -O2 -g -O2 -Wall -c `test -f 'config.c' || echo './'`config.c
> config.c:38:21: fatal error: vte/vte.h: No such file or directory
> compilation terminated.
> make[3]: *** [config.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/07/18/gtkterm_0.99.5-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#634537; Package src:gtkterm. (Tue, 19 Jul 2011 12:31:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zach Davis <zdavkeos@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Tue, 19 Jul 2011 12:31:31 GMT) Full text and rfc822 format available.

Message #10 received at 634537@bugs.debian.org (full text, mbox):

From: Zach Davis <zdavkeos@gmail.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 634537@bugs.debian.org
Subject: Re: Bug#634537: gtkterm: FTBFS: config.c:38:21: fatal error: vte/vte.h: No such file or directory
Date: Tue, 19 Jul 2011 07:18:40 -0500
[Message part 1 (text/plain, inline)]
Version 0.99.5 is deprecated.

Please upgrade to the latest stable version:
https://fedorahosted.org/released/gtkterm/gtkterm-0.99.6.tar.gz

This and and many more issues have already been fixed.

The latest stable version can always be found at:
https://fedorahosted.org/released/gtkterm/

~Zach Davis

On Tue, Jul 19, 2011 at 1:27 AM, Lucas Nussbaum <lucas@lucas-nussbaum.net>wrote:

> Source: gtkterm
> Version: 0.99.5-1
> Severity: serious
> Tags: wheezy sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20110718 qa-ftbfs
> Justification: FTBFS on amd64
>
> Hi,
>
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
>
> Relevant part:
> > make[3]: Entering directory `/build/gtkterm-oqODqL/gtkterm-0.99.5/src'
> > gcc -DHAVE_CONFIG_H -I. -I. -I..   -pthread -I/usr/include/atk-1.0
> -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pixman-1
> -I/usr/include/freetype2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include
> -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/
> -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libpng12
>   -Wall -DLOCALEDIR=\""/usr/share/locale"\" -g -O2 -g -O2 -Wall -c `test -f
> 'config.c' || echo './'`config.c
> > config.c:38:21: fatal error: vte/vte.h: No such file or directory
> > compilation terminated.
> > make[3]: *** [config.o] Error 1
>
> The full build log is available from:
>
> http://people.debian.org/~lucas/logs/2011/07/18/gtkterm_0.99.5-1_lsid64.buildlog
>
> A list of current common problems and possible solutions is available at
> http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!
>
> About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
> of the Grid'5000 platform, using a clean chroot.  Internet was not
> accessible from the build systems.
>
> --
> | Lucas Nussbaum
> | lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
> | jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
>
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#634537; Package src:gtkterm. (Sun, 18 Dec 2011 13:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Sun, 18 Dec 2011 13:06:15 GMT) Full text and rfc822 format available.

Message #15 received at 634537@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Sebastien Bacher <seb128@debian.org>
Cc: 634537@bugs.debian.org
Subject: Open RC bug in gtkterm
Date: Sun, 18 Dec 2011 14:04:24 +0100
Hi,

there has been an open RC bug[1] in gtkterm with no maintainer reaction
for quite some time.  Are you still interested in maintaining the
package?

Regards,
Ansgar

[1] <http://bugs.debian.org/634537>




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#634537; Package src:gtkterm. (Tue, 20 Dec 2011 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Zach Davis <zdavkeos@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Tue, 20 Dec 2011 00:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 634537@bugs.debian.org (full text, mbox):

From: Zach Davis <zdavkeos@gmail.com>
To: Ansgar Burchardt <ansgar@debian.org>, 634537@bugs.debian.org
Subject: Re: Bug#634537: Open RC bug in gtkterm
Date: Mon, 19 Dec 2011 18:09:01 -0600
[Message part 1 (text/plain, inline)]
I am the current upstream maintainer, and as I mentioned above, this issue
has been fixed for some time (fixed in 0.99.6, 0.99.7rc1 is out).

I am not the debian package owner, it is up to that person to update the
debian repositories.

~Zach Davis

On Sun, Dec 18, 2011 at 7:04 AM, Ansgar Burchardt <ansgar@debian.org> wrote:

> Hi,
>
> there has been an open RC bug[1] in gtkterm with no maintainer reaction
> for quite some time.  Are you still interested in maintaining the
> package?
>
> Regards,
> Ansgar
>
> [1] <http://bugs.debian.org/634537>
>
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#634537; Package src:gtkterm. (Fri, 27 Jan 2012 01:58:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Fri, 27 Jan 2012 01:58:44 GMT) Full text and rfc822 format available.

Message #25 received at 634537@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@gmail.com>
To: 634537@bugs.debian.org
Cc: control@bugs.debian.org, henrich@debian.org
Subject: Re: Bug#634537: Open RC bug in gtkterm
Date: Fri, 27 Jan 2012 10:48:57 +0900
tags 634537 fixed-upstream
thanks

Hi,

 As Zach suggested, newer upstream version (0.99.7-rc1) is built fine.
 If Sebastien wouldn't upload it, I want to upload it as NMU.

 Any comments?

-- 
Hideki Yamane




Added tag(s) fixed-upstream. Request was from Hideki Yamane <henrich@gmail.com> to control@bugs.debian.org. (Fri, 27 Jan 2012 01:58:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#634537; Package src:gtkterm. (Sat, 28 Jan 2012 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Sat, 28 Jan 2012 05:15:03 GMT) Full text and rfc822 format available.

Message #32 received at 634537@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 634537@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#634537: Open RC bug in gtkterm
Date: Sat, 28 Jan 2012 14:12:48 +0900
tags 634537 pending
thanks

Hi,

>  As Zach suggested, newer upstream version (0.99.7-rc1) is built fine.
>  If Sebastien wouldn't upload it, I want to upload it as NMU.

 I've prepared it as http://www.mithril-linux.org/~henrich/debian/package/temp/gtkterm_0.99.7~rc1-0.1.dsc

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Added tag(s) pending. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sat, 28 Jan 2012 05:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#634537; Package src:gtkterm. (Sat, 12 May 2012 12:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Green <peter.green@postgrad.manchester.ac.uk>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Sat, 12 May 2012 12:45:10 GMT) Full text and rfc822 format available.

Message #39 received at 634537@bugs.debian.org (full text, mbox):

From: Peter Green <peter.green@postgrad.manchester.ac.uk>
To: "henrich@debian.or.jp" <henrich@debian.or.jp>
Cc: "634537@bugs.debian.org" <634537@bugs.debian.org>
Subject: Re: Bug#634537: Open RC bug in gtkterm
Date: Sat, 12 May 2012 12:44:02 +0000
[Message part 1 (text/plain, inline)]
You tagged this bug as pending months ago, are you still planning to upload? do you need a sponsor?
[Message part 2 (text/html, inline)]

Reply sent to Hideki Yamane <henrich@debian.org>:
You have taken responsibility. (Wed, 23 May 2012 23:39:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 23 May 2012 23:39:03 GMT) Full text and rfc822 format available.

Message #44 received at 634537-close@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.org>
To: 634537-close@bugs.debian.org
Subject: Bug#634537: fixed in gtkterm 0.99.7~rc1-0.1
Date: Wed, 23 May 2012 23:34:42 +0000
Source: gtkterm
Source-Version: 0.99.7~rc1-0.1

We believe that the bug you reported is fixed in the latest version of
gtkterm, which is due to be installed in the Debian FTP archive:

gtkterm_0.99.7~rc1-0.1.diff.gz
  to main/g/gtkterm/gtkterm_0.99.7~rc1-0.1.diff.gz
gtkterm_0.99.7~rc1-0.1.dsc
  to main/g/gtkterm/gtkterm_0.99.7~rc1-0.1.dsc
gtkterm_0.99.7~rc1-0.1_amd64.deb
  to main/g/gtkterm/gtkterm_0.99.7~rc1-0.1_amd64.deb
gtkterm_0.99.7~rc1.orig.tar.gz
  to main/g/gtkterm/gtkterm_0.99.7~rc1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 634537@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hideki Yamane <henrich@debian.org> (supplier of updated gtkterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 24 May 2012 08:23:44 +0900
Source: gtkterm
Binary: gtkterm
Architecture: source amd64
Version: 0.99.7~rc1-0.1
Distribution: unstable
Urgency: medium
Maintainer: Sebastien Bacher <seb128@debian.org>
Changed-By: Hideki Yamane <henrich@debian.org>
Description: 
 gtkterm    - A simple GTK+ serial port terminal
Closes: 634537
Changes: 
 gtkterm (0.99.7~rc1-0.1) unstable; urgency=medium
 .
   * Non-Maintainer upload
   * New upstream release
     - fix "config.c:38:21: fatal error: vte/vte.h: No such file or directory"
       (Closes: #634537)
   * debian/control
     - add "Build-Depends: intltool"
Checksums-Sha1: 
 87f9307946ca2df4e0185db9b6bbd670ab4fa6c9 1717 gtkterm_0.99.7~rc1-0.1.dsc
 fb6203786f8d3de00e9be86042e394e9672b0c1e 172866 gtkterm_0.99.7~rc1.orig.tar.gz
 a1cea0ab15f4b09316ad0c06d13d7dcf2e91e110 2287 gtkterm_0.99.7~rc1-0.1.diff.gz
 525f79708688d382be4e71d453697c68cacc4958 58804 gtkterm_0.99.7~rc1-0.1_amd64.deb
Checksums-Sha256: 
 33a0700197138c0663858a3442c29f509525a9bac7a2f8ea1adbd4bdf83c5ade 1717 gtkterm_0.99.7~rc1-0.1.dsc
 91f555af0e0e8bf1fd73744a5486587a8a743ac7e6111e462763cf43def623d0 172866 gtkterm_0.99.7~rc1.orig.tar.gz
 6ba856a01145e006fddc4cd6cead0199f1a80ab5ead05a7f115c185933e2c3e9 2287 gtkterm_0.99.7~rc1-0.1.diff.gz
 04c591f320baf0914412192ffaa3c0d17a9e7fafab5601f3a62efe1ba83edc36 58804 gtkterm_0.99.7~rc1-0.1_amd64.deb
Files: 
 be1620299303d13f07614e407788b3e3 1717 comm optional gtkterm_0.99.7~rc1-0.1.dsc
 3e6c59e4510f80c3a472a0bf801ba77a 172866 comm optional gtkterm_0.99.7~rc1.orig.tar.gz
 a73f3bb8d3943efb5740c66618e42f9a 2287 comm optional gtkterm_0.99.7~rc1-0.1.diff.gz
 17ef2114c9943fd85f37f7c05c37d159 58804 comm optional gtkterm_0.99.7~rc1-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPvXIJAAoJEF0yjQgqqrFAEEkP/2jqpYhvprybZpuYHwzwd3aP
RCeif8R6mEcCVeb2Hcs3xjUiyGIkuxYFZEborwa9xgur55wfxzxakjnrnhrffHTz
EbjPX6STTCrQxPmpbGVrfvXYiOyVsytj4hAtBpzGaUiPZYLVZX4ICV5LjCZdWUZC
ChEGZfCC8yBtLSg//rGZXeAyjdwWg5ShHO0RbWRcw/daFIFqEri+Tdq/RjbP9VT5
PrBTH8/1dN/afLKM5sW39YqmJFy8BkJCnm/8qknXt3sr2QGUwZXVN0e7nWxPEHGp
NAlGaBAEfsdXnONKRRR+9wfyAT/CeIOno+V0rQKerOp11YSnLTbz1sLM+iTtNIEj
gztTpXA/Z6s20987K2sFCIDtBXYgFM52YwQzrZ9yF/xxQprAg3LJmP9xh/gYzUY+
tY6zYvEVQAW9jIdHw395yyOD59Glg0kjxZEbgarliGd4LkCivYfi4zLali9JAfz8
ZgYfg58y5LD8xFH+IdiD+uZCWFxcUUoWWjyLT3qs57d48QkATYdcmlUIz/Xbt7xM
kOXPC4VkLNlwPitzr+sQPuLGvX28AZEvSuFVNZ1YLQyNQZjB6ldE8KnNgXuBAoDx
qTkh5bInCJK78th1t4pbET6v53ZkuXKLcpXAOHdQmDPjAeXpkeuF+qbeShfz6sNw
jWnz+TPpvWhnj/vRVxTJ
=dhPF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Sep 2012 07:28:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:56:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.